zpcimon(8)

NAME
zpcimon - Monitor health of directly attached PCI devices including NVMes and NICs.

SYNOPSIS
zpcimon OPTIONS

DESCRIPTION
Use zpcimon to monitor the health of the optical modules of directly attached PCI based NICs as well as the health of NVMe devices using their SMART data. When executed without the --monitor option it will collect health data from all available and relevant PCI devices and print a summary in JSON format. Add the --send-report option to report this data to the support element.

OPTIONS

  Operation Options
Run continuously and monitor all supported devices. On link state changes optical module data is collected and NVMe SMART data is collected on hotplug. Moreover every --interval seconds data from all adapters is collected as a whole system snapshot.

Report the optics and NVMe health data to the Support Element (SE)

Be quiet and don't print health summaries.

Interval in seconds at which to collect monitoring data in the absence of link state changes. A value larger than 24 hours (86400 seconds) is clamped down to 24 hours.

Include a base64 encoded binary dump of the module's SFF-8636/8472/8024 standard data for each netdev. This matches "ethtool --module-info <netdev> raw on". Example: Extract module information for the first adapter

Include a base64 encoded binary dump of each NVMe's SMART data. This matches "nvme smart-log --output-format=binary /dev/nvmeX".

  Output Format Options
Set the output format out of json, json-seq, jsonl, pairs, and csv. Note that only json-seq and jsonl sequence formats are supported for monitoring mode as they handle a continuous stream of updates well. While they are not supported in query mode.

  General Options
Print usage information, then exit.

Print version information, then exit.